net.sf.jasperreports.engine.export

## Class JRXlsExporterParameter

- java.lang.Object
- - net.sf.jasperreports.engine.JRExporterParameter
  - - net.sf.jasperreports.engine.export.JRXlsAbstractExporterParameter
    - - net.sf.jasperreports.engine.export.JRXlsExporterParameter

- Deprecated.
  Replaced by `XlsExporterConfiguration`.

      public class JRXlsExporterParameter
      extends JRXlsAbstractExporterParameter

  Contains parameters useful for export in XLS format using apache.poi.hssf APIs.

  The XLS exporter can send data to an output stream or file on disk. The engine looks among the export parameters in order to find the selected output type in this order: OUTPUT_STREAM, OUTPUT_FILE, OUTPUT_FILE_NAME.

  Version:
    $Id: JRXlsExporterParameter.java 6725 2013-11-11 12:58:18Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.JRXlsAbstractExporterParameter

      `CREATE_CUSTOM_PALETTE, FORMAT_PATTERNS_MAP, IS_COLLAPSE_ROW_SPAN, IS_DETECT_CELL_TYPE, IS_FONT_SIZE_FIX_ENABLED, IS_IGNORE_CELL_BACKGROUND, IS_IGNORE_CELL_BORDER, IS_IGNORE_GRAPHICS, IS_IMAGE_BORDER_FIX_ENABLED, IS_ONE_PAGE_PER_SHEET, IS_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS, IS_REMOVE_EMPTY_SPACE_BETWEEN_ROWS, IS_WHITE_PAGE_BACKGROUND, MAXIMUM_ROWS_PER_SHEET, PASSWORD, PROPERTY_COLLAPSE_ROW_SPAN, PROPERTY_CREATE_CUSTOM_PALETTE, PROPERTY_DETECT_CELL_TYPE, PROPERTY_FONT_SIZE_FIX_ENABLED, PROPERTY_IGNORE_CELL_BACKGROUND, PROPERTY_IGNORE_CELL_BORDER, PROPERTY_IGNORE_GRAPHICS, PROPERTY_IMAGE_BORDER_FIX_ENABLED, PROPERTY_MAXIMUM_ROWS_PER_SHEET, PROPERTY_ONE_PAGE_PER_SHEET, PROPERTY_PASSWORD, PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_COLUMNS, PROPERTY_REMOVE_EMPTY_SPACE_BETWEEN_ROWS, PROPERTY_SHEET_NAME, PROPERTY_SHEET_NAMES_PREFIX, PROPERTY_WHITE_PAGE_BACKGROUND, SHEET_NAMES`

    - ### Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRXlsExporterParameter(java.lang.String name)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JRXlsExporterParameter

          protected JRXlsExporterParameter(java.lang.String name)

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com